Subject: Re: linux-next: pci tree build failure

From: Jesse Barnes <[email-masked]>
Date: Tue, 19 Jan 2010 02:35:34 +0000

On Mon, 18 Jan 2010 22:24:44 +0100
"Rafael J. Wysocki" <[email-masked]> wrote:

> On Monday 18 January 2010, Stephen Rothwell wrote:
> > Hi Jesse,
> > 
> > Today's linux-next build (ppc64 allyesconfig) failed like this:
> > 
> > In file included from drivers/pci/pcie/pme/pcie_pme.c:22:
> > include/linux/pci-acpi.h:42: error: expected '=', ',', ';', 'asm'
> > or '__attribute__' before 'acpi_find_root_bridge_handle'
> > 
> > This file was added in commit
> > f3adb5a4f2e1dfdf9482af05481d0928a39477e8 ("PCI PM: PCIe PME root
> > port service driver") from the pci tree and seems to depend on
> > ACPI.  Maybe its building should depend on CONFIG_ACPI?
> > 
> > I added the following patch for today (I presume there is a better
> > fix):
> > 
> > From: Stephen Rothwell <[email-masked]>
> > Date: Mon, 18 Jan 2010 19:36:11 +1100
> > Subject: [PATCH] pci: PCIE_PME seems to depend on ACPI
> > 
> > Signed-off-by: Stephen Rothwell <[email-masked]>
> > ---
> >  drivers/pci/pcie/Kconfig |    2 +-
> >  1 files changed, 1 insertions(+), 1 deletions(-)
> > 
> > diff --git a/drivers/pci/pcie/Kconfig b/drivers/pci/pcie/Kconfig
> > index cf3c35f..b8b494b 100644
> > --- a/drivers/pci/pcie/Kconfig
> > +++ b/drivers/pci/pcie/Kconfig
> > @@ -49,4 +49,4 @@ config PCIEASPM_DEBUG
> >  
> >  config PCIE_PME
> >  	def_bool y
> > -	depends on PCIEPORTBUS && PM_RUNTIME && EXPERIMENTAL
> > +	depends on PCIEPORTBUS && PM_RUNTIME && EXPERIMENTAL &&
> > ACPI
> 
> Thanks a lot, this is the right fix IMO.
> 
> Jesse, do you want me to resend the patch with this fix included or
> are you going to take the Stephens patch to your tree?

I'll pull in Stephen's fix, thanks.

Jesse